//
// currency.h
// Bruno Heidelberger <heidelberger@inf.ethz.ch>
// 19. Jan. 2004
//

// class declaration
class Currency
{
private:
// member variables
  double _amount;
  double _rate;
  char _name[4];
  char *_longname;

public:
// constructors
  Currency();
  Currency(char *name, char *longname, double amount, double rate);
  ~Currency();

// method
  double calculateCHF() const;

// operator
  operator double() const;
};

